Subject: Re: [ANNONCE] new release of tcsh for B20.1 [was Re: TCSH?]
From: [email-masked] (Joseph M. Reagle Jr.)

19 Dec 1998 03:07:09 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]
Cc: [email-masked]

At 10:14 PM 12/18/98 +0100, [email-masked] wrote:
 >It's automatically set to 'notty' mode. You can set it in
 >the cygnus.bat file to the values which are of interest to you.
 >It's important, to set the variable _before_ invoking any
 >cygwin program.
 >
 >Options for the CYGWIN environment variable
 >(written by Michael Weiser, thanks, Michael!):

Woops, yea, RTFM! I had looked in the FAQ, and thought the user guide was
the same since some parts were redundant. Sorry!

 >It only works in CYGWIN=...tty... mode.
 >In tty mode, use TERM=linux for Windows console window.

Unfortunately, that worked for a little while (to use ^z) in this
configuration, but got weird display problems... and then the ability went
away for some reason, I think it has to do with the *.pifs (do these things
still exist in windows as files, or are they in the registry?) that got
associated with the batch file. For instance, sometimes I would launch pfe,
and it would place the shell would place it in the background automatically,
sometimes I could ^z and place it there myself, or more often than not it
permits neithers. If I made a copy of the .bat file, I could then do it for
one instantiation! Unfortunately, I have no idea what the indepdent variable
is!

Regardless, thankyou for all your help!
__

d:\etc\bin\tcsh.bat
echo off
set tmp=d:\temp
set home=d:\user\reagle
set CYGWIN="tty"
set term=linux
cd d:\user\reagle
d:\etc\bin\tcsh.exe

d:\user\reagle\.tcshrc
echo Reagles .tcshrc at /user/reagle

# stuff for interactive shells:
mount /cygwin-b20/H-i586-cygwin32/bin /bin

set path=( /cygwin-b20/H-i586-cygwin32/bin /WINNT/system32 /WINNT /etc/
/etc/bin /winapps/PFE0602I /Program Files/NTResKit /Program
Files/NTResKit/Perl /c/DOS /c/PGP262 )

if ($?prompt) then
        set prompt = "$HOST\:\!%:%c>"
        set history = 32
        source ~/.alias  

endif

_______________________     
Regards,          http://web.mit.edu/reagle/www/home.html
Joseph Reagle     E0 D5 B2 05 B6 12 DA 65  BE 4D E3 C1 6A 66 25 4E
Resident Fellow   Berkman Center, Harvard Law School
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".